function fp=grad(fun, a, b, N)
  %Gitterpunkte
  x = a:(b-a)/(N-1):b;

  %Berechnung der Funktionswerte (geeignetes fun vorausgesetzt)
  f = feval(fun,x);

  %Berechnung der Ableitung:
  %linker Rand
  fp(1) = (f(2)-f(1))/(b-a)*(N-1);
  %innere Punkte
  for j=2:N-1
    fp(j) = (f(j+1)-f(j-1))*(N-1)/2/(b-a);
  end
  %rechter Rand
  fp(N) = (f(N)-f(N-1))/(b-a)*(N-1);
end
